logo
Apache Lounge
Webmasters

 


About

Forum Index Downloads Search Register Log in  RSS Apache Lounge
 



Keep Server Online

If you find the Apache Lounge, the downloads and overall help useful, please express your satisfaction with a donation.

or

Bitcoin

A donation makes a contribution towards the costs, the time and effort that's going in this site and building.

Thank You! Steffen

Apache Lounge is not sponsored.

Your donations will help to keep this site alive and well, and continuing building binaries.



apache 2.4.3 causes mod_fcgid to run php page forbidden

 
Post new topic   Reply to topic    Apache Forum Index -> Apache third-party Modules



View previous topic :: View next topic  
Author Message
maskego



Joined: 16 Apr 2010
Posts: 238

PostPosted: Fri 24 Aug '12 9:21    Post subject: apache 2.4.3 causes mod_fcgid to run php page forbidden Reply with quote

After upgrade to apache 2.4.3,I can view php page via httpd.exe still.

But,When I set mod_fcgid to run php script,it shows 403 forbidden status.It shows Apache/2.4.3 (Win32) mod_fcgid/2.3.7 configured also.

Under the same setting,if I install apache2.2.23,it runs php page well.

Can anyone help me to debug this? Smile


Last edited by maskego on Fri 24 Aug '12 9:32; edited 1 time in total
Back to top
glsmith
Moderator


Joined: 16 Oct 2007
Posts: 2123
Location: Sun Diego, USA

PostPosted: Fri 24 Aug '12 9:30    Post subject: Reply with quote

error log says?
Back to top
maskego



Joined: 16 Apr 2010
Posts: 238

PostPosted: Fri 24 Aug '12 9:33    Post subject: Reply with quote

It's so strange no error message.

glsmith wrote:
error log says?
Back to top
maskego



Joined: 16 Apr 2010
Posts: 238

PostPosted: Fri 24 Aug '12 9:43    Post subject: Reply with quote

It can't view phpinfo.php too.
Back to top
maskego



Joined: 16 Apr 2010
Posts: 238

PostPosted: Fri 24 Aug '12 11:25    Post subject: Reply with quote

What is the mod_fcgid directive of http.conf for apache2.4.3?

Is there anyone can share the httpd.conf which install the apache 2.4.3 and mod_fcgid successfully? Smile
Back to top
James Blond
Moderator


Joined: 19 Jan 2006
Posts: 6255
Location: Germany, Next to Hamburg

PostPosted: Fri 24 Aug '12 12:59    Post subject: Reply with quote

Here we go
http://pastebin.com/BbVuCLb2

works fine with php-5.4.5-Win32-VC9-x86 (thread safe version)
Back to top
maskego



Joined: 16 Apr 2010
Posts: 238

PostPosted: Sat 25 Aug '12 0:44    Post subject: Reply with quote

Thanks.

There is one line that mod_fcgid sample directive not to mention.The directive is:Options Indexes FollowSymLinks ExecCGI
Back to top


Post new topic   Reply to topic    Apache Forum Index -> Apache third-party Modules
Page 1 of 1